This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 240278 - HVM guest does not start: "Could not allocate memory for HVM guest"
HVM guest does not start: "Could not allocate memory for HVM guest"
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 04:23 EDT by Richard W.M. Jones
Modified: 2008-04-04 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:13:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-16 04:23:21 EDT
Description of problem:

An HVM guest created (and working) yesterday now cannot be booted because of an
apparent memory allocation error (there is plenty of free memory).

Version-Release number of selected component (if applicable):

libvirt-0.2.2-4.fc7
virt-manager-0.4.0-2.fc7
xen-3.1.0-0.rc7.4.fc7

(The latter is my own build of xen - it is the same as the xen .1 RPM with the
patch to fix bug 240009).

How reproducible:

Always

Steps to Reproduce:
1. Double click on the guest
2. Click 'Run' button
  
Actual results:

In xend-debug.log:

Failed allocation for dom 8: 127808 extents of order 0
ERROR Internal error: Could not allocate memory for HVM guest.
 (16 = Device or resource busy)

In xend.log:

[2007-05-16 09:06:25 3680] ERROR (SrvBase:88) Request start failed.
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/xen/web/SrvBase.py", line 85, in perf
orm
    return op_method(op, req)
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvDomain.py", line 7
7, in op_start
    return self.xd.domain_start(self.dom.getName(), paused)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomain.py", line 994, in
 domain_start
    dominfo.start(is_managed = True)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 396
, in start
    XendTask.log_progress(31, 60, self._initDomain)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendTask.py", line 209, in l
og_progress
    retval = func(*args, **kwds)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 158
9, in _initDomain
    raise VmError(str(exn))
VmError: (1, 'Internal error', 'Could not allocate memory for HVM guest.\n (16 =
 Device or resource busy)')

In the error window:

Unable to start virtual machine '<class 'libvirt.libvirtError'> virDomainCreate(
) failed POST operation failed: (xend.err "(1, 'Internal error', 'Could not allo
cate memory for HVM guest.\\n (16 = Device or resource busy)')")
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/console.py", line 348, in control_vm
_run
    self.vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 361, in startup
    self.vm.create()
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 194, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: virDomainCreate() failed POST operation failed: (xend.err "(1, 'In
ternal error', 'Could not allocate memory for HVM guest.\\n (16 = Device or reso
urce busy)')")
'

Expected results:

Guest boots.

Additional info:
Comment 1 Bug Zapper 2008-04-03 20:43:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Richard W.M. Jones 2008-04-04 06:13:36 EDT
I haven't seen this error for a long time --> closing.

Note You need to log in before you can comment on or make changes to this bug.